<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__aios__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_aios_descr_value_t</compoundname>
    <includes local="no">cy_ble_aios.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__aios__descr__value__t_1a0b360ee913b63e130513a20cb3b0da28" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_aios_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="153" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__descr__value__t_1a122c885c9aa3a4e3b7fa0e672fcada01" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_i_o_s__definitions_1gaef3e5bf38ffd6a7a302ab1d6c4254644">cy_en_ble_aios_char_index_t</ref></type>
        <definition>cy_en_ble_aios_char_index_t cy_stc_ble_aios_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="154" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="154" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__descr__value__t_1abc66af4078bee693f4d5d399c1ef382e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_aios_descr_value_t::charInstance</definition>
        <argsstring />
        <name>charInstance</name>
        <briefdescription>
<para>Instance of specific service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="155" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="155" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__descr__value__t_1a9c96e5647f7b29efd21d04d1a8b64d2b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___a_i_o_s__definitions_1ga07ab5fc8cc268ccb1c4da551847ab8ea">cy_en_ble_aios_descr_index_t</ref></type>
        <definition>cy_en_ble_aios_descr_index_t cy_stc_ble_aios_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="156" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__descr__value__t_1ab933ba95123f7071c6b28e1aab03b1ff" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga840a7207c3fa1dd4e5d88f0bdfdceecb">cy_en_ble_gatt_err_code_t</ref></type>
        <definition>cy_en_ble_gatt_err_code_t cy_stc_ble_aios_descr_value_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>Error code received from application (optional) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="157" />
      </memberdef>
      <memberdef id="structcy__stc__ble__aios__descr__value__t_1af4db71fa51105e80d4dabe1b7d39e089" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_aios_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="158" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="158" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AIOS Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="22">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="21">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="20">
        <label>cy_stc_ble_aios_descr_value_t</label>
        <link refid="structcy__stc__ble__aios__descr__value__t" />
        <childnode refid="21" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="22" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="159" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" bodystart="151" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_aios.h" line="152" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__aios__descr__value__t_1a122c885c9aa3a4e3b7fa0e672fcada01" virt="non-virtual"><scope>cy_stc_ble_aios_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__descr__value__t_1abc66af4078bee693f4d5d399c1ef382e" virt="non-virtual"><scope>cy_stc_ble_aios_descr_value_t</scope><name>charInstance</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__descr__value__t_1a0b360ee913b63e130513a20cb3b0da28" virt="non-virtual"><scope>cy_stc_ble_aios_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__descr__value__t_1a9c96e5647f7b29efd21d04d1a8b64d2b" virt="non-virtual"><scope>cy_stc_ble_aios_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__descr__value__t_1ab933ba95123f7071c6b28e1aab03b1ff" virt="non-virtual"><scope>cy_stc_ble_aios_descr_value_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__aios__descr__value__t_1af4db71fa51105e80d4dabe1b7d39e089" virt="non-virtual"><scope>cy_stc_ble_aios_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>